<?php
if ( ! function_exists( 'glides_setup' ) ) :
function glides_setup() {

/**
 * Define Constants
 */
define( 'GLIDES_THEME_VERSION', '4.7' );

// Root path/URI.
define( 'GLIDES_PARENT_DIR', get_template_directory() );
define( 'GLIDES_PARENT_URI', get_template_directory_uri() );

// Root path/URI.
define( 'GLIDES_PARENT_INC_DIR', GLIDES_PARENT_DIR . '/inc');
define( 'GLIDES_PARENT_INC_URI', GLIDES_PARENT_URI . '/inc');

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	/*
	 * Let WordPress manage the document title.
	 */
	add_theme_support( 'title-tag' );
	
	add_theme_support( 'custom-header' );
	
	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 */
	add_theme_support( 'post-thumbnails' );
	
	//Add selective refresh for sidebar widget
	add_theme_support( 'customize-selective-refresh-widgets' );
	
	/*
	 * Make theme available for translation.
	 */
	load_theme_textdomain( 'glides' );
		
	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'primary_menu' => esc_html__( 'Primary Menu', 'glides' ),
		'footer_menu' => esc_html__( 'Footer Menu', 'glides' ),
	) );

	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );
	
	
	add_theme_support('custom-logo');
	
	/*
	 * WooCommerce Plugin Support
	 */
	add_theme_support( 'woocommerce' );
	
	// Gutenberg wide images.
		add_theme_support( 'align-wide' );
	
	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, icons, and column width.
	 */
	add_editor_style( array( 'assets/css/editor-style.css', glides_google_font() ) );
	
	//Set up the WordPress core custom background feature.
	add_theme_support( 'custom-background', apply_filters( 'glides_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	) ) );
}
endif;
add_action( 'after_setup_theme', 'glides_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function glides_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'glides_content_width', 1170 );
}
add_action( 'after_setup_theme', 'glides_content_width', 0 );


/**
 * All Styles & Scripts.
 */
require_once get_template_directory() . '/inc/enqueue.php';

/**
 * Nav Walker fo Bootstrap Dropdown Menu.
 */

require_once get_template_directory() . '/inc/class-wp-bootstrap-navwalker.php';

/**
 * Implement the Custom Header feature.
 */
require_once get_template_directory() . '/inc/custom-header.php';


/**
 * Called Breadcrumb
 */
require_once get_template_directory() . '/inc/breadcrumb.php';

/**
 * Sidebar.
 */
require_once get_template_directory() . '/inc/sidebar.php';

/**
 * Custom template tags for this theme.
 */
require_once get_template_directory() . '/inc/extra-function.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require_once get_template_directory() . '/inc/repeted-value.php';

/**
 * Customizer additions.
 */
 require_once get_template_directory() . '/inc/customizer-files.php';
 require_once get_template_directory() . '/inc/style_function.php';
 require_once get_template_directory() . '/inc/language-translate/functions.php';




/**
 * Customizer additions.
 */
 require get_template_directory() . '/inc/customizer/customizer-repeater/functions.php';
 
 
/*wp block-styles*/
add_theme_support( 'wp-block-styles' );

// Add support for responsive embeds
add_theme_support( 'responsive-embeds' );

/**
 * Custom Comment List
 */
if( ! function_exists( 'glides_comments' ) ):
function glides_comments($comment, $args, $depth) {
    ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<article  class="comment-body">
		   <footer class="comment-meta">
				<div class="comment-author vcard"> 
					<?php echo get_avatar($comment,$size='100',$default='https://www.gravatar.com/avatar/00000000000000000000000000000000?d=mp&f=y' , 'avatar avatar-32 photo'); ?>
					
					<b class="fn"><a href='#' rel='external nofollow ugc' class='url'><?php echo get_comment_author() ?></a></b> 
				</div>
				<div class="comment-metadata"> <a href="#">
					<time datetime="<?php printf(/* translators: 1: date and time(s). */ esc_html__('%1$s at %2$s' , 'glides'), get_comment_date(),  get_comment_time()) ?>"><?php printf(/* translators: 1: date and time(s). */ esc_html__('%1$s at %2$s' , 'glides'), get_comment_date(),  get_comment_time()) ?></time></a>
				<a><?php echo preg_replace( '/comment-reply-link/', 'comment-reply-link ' . 'comment-reply-link reply', get_comment_reply_link(array_merge( $args, array(           'depth' => $depth, 'max_depth' => $args['max_depth']))), 1 );  ?></a>
				</div>
			</footer>
				
			<div class="comment-content">
				<p>
					<?php comment_text() ?>
				</p>
			</div>
			
		</article>
		</li>
<?php
        }
endif;

if (!function_exists('pll__')) {
    function pll__($string) {
        return $string;
    }
}